Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Interface Product

    public interface Product

Product information.

Field Summary
`static String` | `FULL_VERSION` Full version number.
`static int` | `MAJOR_VERSION` Major version number.
`static int` | `MINOR_VERSION` Minor version number.
`static int` | `PATCH_VERSION` Maintenance version number.
`static String` | `PRODUCT_NAME` Name of the product, namely: Qizx/open.
`static String` | `VARIANT`
`static String` | `VENDOR` Name of the vendor of the product.
`static String` | `VENDOR_URL` Main web address of the vendor of the product.
`static int` | `XQUERY_MAJOR_VERSION` Supported major XQuery version number.
`static int` | `XQUERY_MINOR_VERSION` Supported minor XQuery version number.
`static String` | `XQUERY_VERSION` Supported XQuery version.

Field Detail

### PRODUCT_NAME

    static final String PRODUCT_NAME

  Name of the product, namely: Qizx/open.

  See Also:
    Constant Field Values

### VENDOR

    static final String VENDOR

  Name of the vendor of the product.

  See Also:
    Constant Field Values

### VENDOR_URL

    static final String VENDOR_URL

  Main web address of the vendor of the product.

  See Also:
    Constant Field Values

### MAJOR_VERSION

    static final int MAJOR_VERSION

  Major version number.

  See Also:
    Constant Field Values

### MINOR_VERSION

    static final int MINOR_VERSION

  Minor version number.

  See Also:
    Constant Field Values

### PATCH_VERSION

    static final int PATCH_VERSION

  Maintenance version number.

  See Also:
    Constant Field Values

### FULL_VERSION

    static final String FULL_VERSION

  Full version number.

  See Also:
    Constant Field Values

### VARIANT

    static final String VARIANT

See Also:
  Constant Field Values

### XQUERY_MAJOR_VERSION

    static final int XQUERY_MAJOR_VERSION

  Supported major XQuery version number.

  See Also:
    Constant Field Values

### XQUERY_MINOR_VERSION

    static final int XQUERY_MINOR_VERSION

  Supported minor XQuery version number.

  See Also:
    Constant Field Values

### XQUERY_VERSION

    static final String XQUERY_VERSION

  Supported XQuery version.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD